%define name BeatForce
%define version 0.1.5
%define release 1mdk

Summary: Dj player system
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
Patch0: %name.0.1.5.patch.bz2
License: GPL
Group: Sound
Url: http://beatforce.berlios.de/
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: libvrb-devel
BuildRequires: libfftw-devel

%description
Beatforce is a computer dj-ing system with 2 players, a 
XML-based song database, a mixer with manual and auto-fade 
and some more features. Eventually a beat counter and automatic 
beat synchronisation will be implemented.

%prep
%setup -q
%patch0 -p0

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README TODO QuickStart AUTHORS ABOUT-NLS
%_bindir/beatforce
%_libdir/*
%exclude %_libdir/debug

%changelog
* Tue Jun 03 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.1.5-1mdk
- first mdk package
